Page MenuHomePhabricator

Don't access MagicWord static member variables directly
Closed, ResolvedPublic

Description

See T200247. In 1.32 (with https://gerrit.wikimedia.org/r/c/mediawiki/core/+/447647), these static member variables will be removed completely, causing anything that accesses them to break. BlueSpiceFoundation/Core.class.php directly accesses MagicWord::$mDoubleUnderscoreIDs and needs to be updated to use the GetDoubleUnderscoreIDs hook. I tried to fix it in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BlueSpiceFoundation/+/449165, but failed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2018, 3:08 PM
Simetrical triaged this task as Unbreak Now! priority.Jul 30 2018, 3:09 PM

Changing priority to max because this will break the extension on master, probably in a matter of days.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJul 30 2018, 3:09 PM
Pwirth added a subscriber: Pwirth.Aug 3 2018, 12:46 PM

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceFoundation/+/449165/
This change worked fine for me, so i restored it and marked the method as deprecated. I also added the hook handler base class, the BlueSpiceExtensions* (only 3 or 4) could use instead of this method.

Pwirth closed this task as Resolved.Aug 6 2018, 6:41 AM